## rustc-1.82 1.82.0+dfsg0ubuntu0~jammy

=== src/llvm-project/lldb/test/API/functionalities/tail_call_frames/sbapi_support/Makefile ===
CXX_SOURCES := main.cpp

CXXFLAGS_EXTRAS := -O2
include Makefile.rules
