=== debian/changelog ===
rustc-1.82 (1.82.0+dfsg0ubuntu0~jammy-0ubuntu0.22.04) jammy-security; urgency=medium

  * Backport to Jammy (LP: #2100492)
    - Re-enable libgit2 vendoring:
      - d/copyright: Re-include libgit2 in the list of vendored C libraries
      - d/p/prune/d-0010-cargo-remove-vendored-c-crates.patch: Re-include
        vendored-libgit2 cargo crate feature
      - Re-include vendored libgit2 in source
      - d/control,d/control.in: Remove libgit2-dev and libhttp-parser-dev from
        Build-Depends
    - d/control,d/control.in,d/rules: Disable dh-cargo Build-Depends and
      rules check due to lack of Jammy support
    - d/control,d/control.in,d/rules: Use pkg-config instead of the newer
      pkgconf

 -- Max Gilmour <max.gilmour@canonical.com>  Sat, 21 Jun 2025 11:16:41 -0700

rustc-1.82 (1.82.0+dfsg0ubuntu0-0ubuntu0.24.04) noble-security; urgency=medium

  * Backport to Noble (LP: #2100492)
    - d/control,d/control.in: : Disable clang-19 Build-Depends-Indep due to
      LLVM vendoring

 -- Max Gilmour <max.gilmour@canonical.com>  Fri, 20 Jun 2025 12:45:51 -0700

rustc-1.82 (1.82.0+dfsg0ubuntu0-0ubuntu0.24.10) oracular-security; urgency=medium

  * Backport to Oracular (LP: #2100492)
    - Re-enable LLVM vendoring:
      - d/control,d/control.in: Remove LLVM-related dependencies from
        Build-Depends
      - d/copyright: Re-include LLVM in vendored upstream files, add copyright
        stanza for embedded LLVM
      - d/rules: Allow rustbuild to control whether LLVM is compiled with
        debug symbols
      - d/watch: Include +llvm in upstream version
      - d/config.toml.in: Remove LLVM-related lines
    - Downgrade libgit2 to 1.7.2:
      - d/p/ubuntu/ubuntu-update-libgit2-to-1.9.patch,d/p/series:
        Remove patch updating libgit2 to version 1.9
      - d/control,d/control.in: Revert libgit2-dev Build-Depends to
        1.7.2
      - d/p/ubuntu/ubuntu-libgit2-downgrade.patch,d/p/series: Revert
        version of libgit2 used to build libgit2-sys to 1.7.2
    - d/rules: Clean stage0/stage1/test artifacts early to save space

 -- Max Gilmour <max.gilmour@canonical.com>  Wed, 18 Jun 2025 11:57:44 -0700

rustc-1.82 (1.82.0+dfsg0ubuntu1-0ubuntu2) plucky; urgency=medium

  * d/p/ubuntu/ubuntu-update-libgit2-to-1.9.patch: add a patch to
    update libgit2 to 1.9 (LP: #2093205)
  * d/control.in: update libgit2 to 1.9

 -- Zixing Liu <zixing.liu@canonical.com>  Tue, 07 Jan 2025 11:33:36 -0700

rustc-1.82 (1.82.0+dfsg0ubuntu1-0ubuntu1) plucky; urgency=medium

  [ Zixing Liu ]
  * New upstream release 1.82.0 (LP: #2088229)
  * d/rules: correctly pass the LLVM_PROFILER_RT_LIB variable to Rust build system
  * debian/patches/behaviour/d-rustc-add-soname.patch: patch the new test, the test is detecting this patch negatively
  * debian/patches/build/d-bootstrap-custom-debuginfo-path.patch: don't patch debuginfo test, it works correctly now
  * d/control.in: update to use libgit2 1.8.x
  * d/rules,*.in: upgrade to LLVM 19
  * d/p/ubuntu/ubuntu-fix-simd-test.patch: add a patch to fix SIMD FFI test
  * d/control.in: update vendored dependency list
  * d/{control,s/lintian-overrides}: re-generate files for rustc-1.82
  * d/patches: refresh patches
  * d/patches: remove obsoleted patches
    - upstream/u-add-missing-f16-intrinsics.patch
    - upstream/u-add-f16-f128-handling-in-a-couple-places.patch
    - upstream/Revert-loongarch-add-frecipe-and-relax-target-feature.patch
    - ubuntu/ubuntu-add-s390x-allowed-features.patch
    - upstream/u-disable-f16-f128-on-unsupported-platforms.patch
  * d/copyright: update the list of unused vendored dependencies
  * d/copyright: update copyright information
  * d/s/lintian-overrides: override new false-positives
  * d/p/prune/d-0020-remove-windows-dependencies.patch: refresh the patch

  [ Fabian Grünbichler ]
  * set LLVM profiler RT path via config
    instead of via the environment, adapting to corresponding upstream changes, and
    adapt the config change-id accordingly.
    Signed-off-by: Fabian Grünbichler <f.gruenbichler@proxmox.com>

 -- Zixing Liu <zixing.liu@canonical.com>  Thu, 14 Nov 2024 15:26:51 -0700

rustc-1.81 (1.81.0+dfsg0ubuntu1-0ubuntu1) oracular; urgency=medium

  * New upstream release 1.81.0 (LP: #2080415)
    - d/patches: refresh patches
    - d/copyright: update the list of unused vendored dependencies
    - d/control: re-generate files for rustc-1.81
    - d/p/ubuntu/ubuntu-libgit2-downgrade.patch: downgrade libgit2
      requirements to 1.7
    - d/config.toml.in: update change ID to suppress warnings
    - d/copyright: update copyright information
    - d/s/lintian-overrides.in: add new overrides for test data
    - d/p/upstream/u-limit-f16-doctests-to-x86.patch,
      d/p/vendor/u-hurd-gix-index.patch: remove unneeded patches

 -- Zixing Liu <zixing.liu@canonical.com>  Mon, 09 Sep 2024 10:19:09 -0600

rustc-1.80 (1.80.1+dfsg0ubuntu1-0ubuntu1) oracular; urgency=medium

  * New upstream release 1.80.1 (LP: #2076206)
    - d/patches: refresh patches
    - d/copyright: update the list of unused vendored dependencies
    - d/copyright: delete src/tools/rustc-perf we don't need this upstream
      benchmarking facility (not used anywhere)
    - d/control: re-generate files for rustc-1.80
    - d/p/series: remove opener-cherry-pick-fix-to-avoid-vendored-dbus.patch
  * d/p/upstream/u-add-missing-f16-intrinsics.patch,
    d/p/upstream/u-add-f16-f128-handling-in-a-couple-places.patch,
    d/p/upstream/u-limit-f16-doctests-to-x86.patch,
    d/p/upstream/u-disable-f16-f128-on-unsupported-platforms.patch:
    backported patches from upstream to fix compiler crash from LLVM
    mishandling f16 lowering on some platforms
  * d/p/ubuntu/ubuntu-fix-f16-fallback-intrinsics.patch: add a patch to fix
    LLVM misoptimizations

 -- Zixing Liu <zixing.liu@canonical.com>  Thu, 08 Aug 2024 08:56:51 -0600

rustc-1.79 (1.79.0+dfsg1ubuntu1-0ubuntu1) oracular; urgency=medium

  [ Zixing Liu ]
  * New upstream release 1.79.0 (LP: #2076205)

