=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
 Build-Depends:
  debhelper (>= 9),
  debhelper-compat (= 13),
+ dh-cargo (>= 28ubuntu1~),
  dpkg-dev (>= 1.17.14),
  python3:native,
  cargo-1.81 | cargo-1.82 <!pkg.rustc.dlstage0>,
@@ -28,6 +29,9 @@
  bash-completion,
  libcurl4-gnutls-dev | libcurl4-openssl-dev,
  libssh2-1-dev,
+ libgit2-dev (>= 1.7.2~~),
+ libgit2-dev (<< 1.8~~),
+ libhttp-parser-dev,
  libsqlite3-dev,
 # Required for llvm build
  autotools-dev,
