## rustc-1.82 1.82.0+dfsg0ubuntu1-0ubuntu0.24.04.1trisquel0

=== debian/changelog ===
rustc-1.82 (1.82.0+dfsg0ubuntu1-0ubuntu0.24.04.1trisquel0) ecne-backports; urgency=medium

  * Adding package as a dependency for newer abrowser releases.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 27 May 2025 12:46:32 +0000

rustc-1.82 (1.82.0+dfsg0ubuntu1-0ubuntu0.24.04.1) noble; urgency=medium

  * Backport to Noble (LP: #2088229)
    - d/control.in: downgrade to use libgit2 1.7.x
    - d/control: relax LLVM 19.1.2+ requirements to LLVM 19.1.1+
 -- Zixing Liu <zixing.liu@canonical.com>  Thu, 06 Mar 2025 06:01:31 -0700
