=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: rustc-1.82
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders:
  Ximin Luo <infinity0@debian.org>,
@@ -19,8 +19,8 @@
  rustc-1.81 | rustc-1.82 <!pkg.rustc.dlstage0>,
  llvm-19-dev:native,
  llvm-19-tools:native,
- libclang-rt-19-dev (>= 1:19.1.2),
- libclang-common-19-dev (>= 1:19.1.2),
+ libclang-rt-19-dev (>= 1:19.1.1),
+ libclang-common-19-dev (>= 1:19.1.1),
  cmake (>= 3.0) | cmake3,
 # needed by some vendor crates
  pkgconf,
@@ -33,8 +33,8 @@
  bash-completion,
  libcurl4-gnutls-dev | libcurl4-openssl-dev,
  libssh2-1-dev,
- libgit2-dev (>= 1.9.0~~),
- libgit2-dev (<< 1.10~~),
+ libgit2-dev (>= 1.7.0),
+ libgit2-dev (<< 1.8~~),
  libhttp-parser-dev,
  libsqlite3-dev,
 # test dependencies:
