## rustc-1.82 1.82.0+dfsg0ubuntu1-0ubuntu0.24.04.1+11.0trisquel0

=== debian/changelog ===
rustc-1.82 (1.82.0+dfsg0ubuntu1-0ubuntu0.24.04.1+11.0trisquel0) aramo-backports; urgency=medium

  * Adding package as a dependency for newer abrowser releases.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 19 Jun 2025 21:19:00 +0000
