=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,7 @@
 # The build regressed back when LTO was systematized in Ubuntu.
 # This should be periodically revisited.
 export DEB_BUILD_MAINT_OPTIONS=optimize=-lto
+export PKG_CONFIG=/usr/bin/pkg-config
 
 include /usr/share/dpkg/pkg-info.mk
 include /usr/share/dpkg/vendor.mk
@@ -34,42 +35,47 @@
 # for dh_install substitution variable
 export DEB_HOST_RUST_TYPE
 
-# Let rustbuild control whether LLVM is compiled with debug symbols, rather
-# than compiling with debug symbols unconditionally, which will fail on
-# 32-bit architectures
-CFLAGS := $(shell echo $(CFLAGS) | sed -e 's/\-g//')
-CXXFLAGS := $(shell echo $(CFLAGS) | sed -e 's/\-g//')
-
 # for dh_install substitution variable
 export RUST_LONG_VERSION
 export RUST_VERSION
 
 DEB_DESTDIR := $(CURDIR)/debian/tmp
 
-# # Use system LLVM (comment out to use vendored LLVM)
-# LLVM_VERSION = 19
-# OLD_LLVM_VERSION = $(shell echo "$$(($(LLVM_VERSION)-1))")
-# # used by the upstream profiler build script
-# CLANG_RT_TRIPLE := $(shell llvm-config-$(LLVM_VERSION) --host-target)
-# LLVM_PROFILER_RT_LIB = /usr/lib/clang/$(LLVM_VERSION)/lib/$(CLANG_RT_TRIPLE)/libclang_rt.profile.a
-# ifneq ($(wildcard $(LLVM_PROFILER_RT_LIB)),)
-# # Clang per-target layout
-# export LLVM_PROFILER_RT_LIB := /../../$(LLVM_PROFILER_RT_LIB)
-# else
-# # Clang legacy layout
-# CLANG_RT_ARCH := $(shell echo '$(CLANG_RT_TRIPLE)' | cut -f1 -d-)
-# ifeq ($(DEB_HOST_ARCH),armhf)
-# CLANG_RT_ARCH := armhf
-# endif
-# export LLVM_PROFILER_RT_LIB := /usr/lib/clang/$(LLVM_VERSION)/lib/linux/libclang_rt.profile-$(CLANG_RT_ARCH).a
-# endif
+# Use system LLVM (comment out to use vendored LLVM)
+LLVM_VERSION = 19
+OLD_LLVM_VERSION = $(shell echo "$$(($(LLVM_VERSION)-1))")
+# used by the upstream profiler build script
+CLANG_RT_TRIPLE := $(shell llvm-config-$(LLVM_VERSION) --host-target)
+LLVM_PROFILER_RT_LIB = /usr/lib/clang/$(LLVM_VERSION)/lib/$(CLANG_RT_TRIPLE)/libclang_rt.profile.a
+ifneq ($(wildcard $(LLVM_PROFILER_RT_LIB)),)
+# Clang per-target layout
+export LLVM_PROFILER_RT_LIB := /../../$(LLVM_PROFILER_RT_LIB)
+else
+# Clang legacy layout
+CLANG_RT_ARCH := $(shell echo '$(CLANG_RT_TRIPLE)' | cut -f1 -d-)
+ifeq ($(DEB_HOST_ARCH),armhf)
+CLANG_RT_ARCH := armhf
+endif
+export LLVM_PROFILER_RT_LIB := /usr/lib/clang/$(LLVM_VERSION)/lib/linux/libclang_rt.profile-$(CLANG_RT_ARCH).a
+endif
 # Cargo-specific flags
 export LIBSSH2_SYS_USE_PKG_CONFIG=1
+# Make it easier to test against a custom LLVM
+ifneq (,$(LLVM_DESTDIR))
+LLVM_LIBRARY_PATH := $(LLVM_DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH):$(LLVM_DESTDIR)/usr/lib
+LD_LIBRARY_PATH := $(if $(LD_LIBRARY_PATH),$(LD_LIBRARY_PATH):$(LLVM_LIBRARY_PATH),$(LLVM_LIBRARY_PATH))
+export LD_LIBRARY_PATH
+endif
+
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 ifeq ($(DEB_HOST_ARCH),riscv64)
 NJOBS := -j $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 else
+ifeq ($(DEB_HOST_ARCH),amd64)
+NJOBS := -j 8
+else
 NJOBS := -j 4
+endif
 endif
 endif
 RUSTBUILD = RUST_BACKTRACE=1 python3 src/bootstrap/bootstrap.py $(NJOBS)
@@ -194,6 +200,3 @@
   )\
 )
 DEFINED_SRC_NAME = $(shell dpkg-parsechangelog -S Source)
-DEFINED_SRC_VERSION = $(shell cut -f1 -d' ' < $(CURDIR)/version)
-
-%:
